// 12.3. Prosty plik wątku roboczego

// inicjalizuj zmienne
var sum = 0;
var currentPercentageComplete = 0;
var maxLimit = 100000000;

// w pętli
for (var j=0; j<=maxLimit; j++) {

   // wykonaj długi sposób sumowania
   sum+=j;

   // określ procent ukończenia
   newPercentageComplete = Math.round((j/maxLimit)*100);

   // minimalizuj liczbę wysyłanych wiadomości poprzez wysyłanie ich tylko wtedy, gdy procent się zmienił
   if (newPercentageComplete > currentPercentageComplete) {

      // odeślij wiadomość do głównego wątku strony
      postMessage('ukończono w ' + newPercentageComplete + '%');

      // aktualizuj bieżący procent ukończenia
      currentPercentageComplete = newPercentageComplete;
   }
}

// na koniec prześlij uzyskaną wartość sumy do głównego wątku strony
postMessage('Suma = ' + sum);
